Bug 14154 - 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml
Summary: 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-05-06 07:11 UTC by Fridolin SOMERS
Modified: 2016-06-21 21:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14154 - 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml (2.33 KB, patch)
2015-05-06 08:36 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 14154 - 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml (2.41 KB, patch)
2015-10-21 07:24 UTC, Frédéric Demians
Details | Diff | Splinter Review
Bug 14154 - 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml (2.48 KB, patch)
2015-10-21 10:30 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2015-05-06 07:11:44 UTC
In DOM config file : etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml, the 608$9 is defined a second time instead of 610$9.
Just a type I think.
Comment 1 Fridolin SOMERS 2015-05-06 08:36:14 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-05-20 20:16:23 UTC
Hi,
on unimarc/dom install, I can link 610 with new auth, and auth search shows 1 link etc... without patch!

For me patch is Ok, but how to check something specific to it?
Comment 3 Fridolin SOMERS 2015-07-01 14:29:52 UTC
(In reply to Bernardo Gonzalez Kriegel from comment #2)
> Hi,
> on unimarc/dom install, I can link 610 with new auth, and auth search shows
> 1 link etc... without patch!
Mmmh, the search is made on the authority id, maybe this authority is already used somewhere else in your catalogue.
Comment 4 Fridolin SOMERS 2015-07-29 09:39:15 UTC
Comparing DOM config with GRS-1 config shows this is a trivial a typo error.
Does this even need a test for signoff ?
Comment 5 Frédéric Demians 2015-10-21 07:24:47 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2015-10-21 10:30:47 UTC
Created attachment 43683 [details] [review]
Bug 14154 - 608$9 defined twice in UNIMARC biblio-koha-indexdefs.xml

In DOM config file :
etc/zebradb/marc_defs/unimarc/biblios/biblio-koha-indexdefs.xml, the 608$9 is
defined a second time instead of 610$9.  Just a type I think.

Test plan :
- Apply patch
- Install a UNIMARC + DOM instance
- Define in a framework 610 using a thesaurus
- Create a new biblio
- Create a new authority (same type as the thesaurus defined above)
- Index : rebuild_zebra.pl -a -b -x -z
- Link the field 610 to the new authority
- Index : rebuild_zebra.pl -a -b -x -z
- In authorities search, search for the new authority
=> You see Use in 1 Records(s)

Signed-off-by: Frederic Demians <f.demians@tamil.fr>
  I confirm the typo.

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 7 Tomás Cohen Arazi 2015-10-21 16:52:14 UTC
Patch pushed to master.

Thanks Frido!
Comment 8 Chris Cormack 2015-10-24 08:32:44 UTC
Pushed to 3.20.x will be in 3.20.5
Comment 9 Liz Rea 2015-11-02 21:14:26 UTC
Pushed to 3.18.x, is in 3.18.12.